// ----------------------------------------------------------------------- //
//
// MODULE  : LOFAlienStalker.cpp
//
// PURPOSE : AlienStalker Alien - Implementation
//
// CREATED : 28/12/98 - by Ewen Vowels for Anarchy-Arts
//
// ----------------------------------------------------------------------- //

#include "LOFAlienStalker.h"


BEGIN_CLASS(AlienStalker)
	ADD_LONGINTPROP(WeaponId, GUN_OFCLAW_ID)
	ADD_STRINGPROP_FLAG(Filename, GetModel(MI_AI_ALIENSTALKER_ID), PF_DIMS | PF_HIDDEN )
	ADD_BOOLPROP_FLAG(Small, 0, PF_HIDDEN)
END_CLASS_DEFAULT(AlienStalker, BaseAI, NULL, NULL)

// ----------------------------------------------------------------------- //
//
//	ROUTINE:	AlienStalker::AlienStalker()
//
//	PURPOSE:	Constructor
//
// ----------------------------------------------------------------------- //

AlienStalker::AlienStalker() : BaseAI()
{
	m_nModelId	 = MI_AI_ALIENSTALKER_ID;
	m_bIsMecha	 = DFALSE;
	m_nWeaponId	 = GUN_OFCLAW_ID;
	m_cc		 = ALIEN;
}
